rte_flow_pattern_template_attr(3)

NAME
rte_flow_pattern_template_attr

SYNOPSIS

#include <rte_flow.h>

  Data Fields

uint32_t relaxed_matching:1
uint32_t ingress:1
uint32_t egress:1
uint32_t transfer:1

Detailed Description

Warning
    EXPERIMENTAL: this API may change without prior notice.

Flow pattern template attributes.

Definition at line 5691 of file rte_flow.h.

Field Documentation

  uint32_t relaxed_matching
Relaxed matching policy.

•   If 1, matching is performed only on items with the mask member set and matching on protocol layers specified without any masks is skipped.

•   If 0, matching on protocol layers specified without any masks is done as well. This is the standard behaviour of Flow API now.

Definition at line 5699 of file rte_flow.h.

  uint32_t ingress
Flow direction for the pattern template. At least one direction must be specified. Pattern valid for rules applied to ingress traffic.

Definition at line 5705 of file rte_flow.h.

  uint32_t egress
Pattern valid for rules applied to egress traffic.

Definition at line 5707 of file rte_flow.h.

  uint32_t transfer
Pattern valid for rules applied to transfer traffic.

Definition at line 5709 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.